def redC(mh=125.5, CWW=1,CZZ=1,Cbb=1,Ctautau=1,Ccc=1,Ctt=1,CGaGa=1,Cgg=1, BRinv=0, BRund=0, precision="BEST-QCD"):
    """generate XML input from reduced couplings
       note that if the gamma-gamma and/or gluon-gluon
       reduced couplings are not given, they are assumed
       to be equal to 1"""
    
    myInputTemplate = """<?xml version="1.0"?>

<lilithinput>

<mh>%(mh)s</mh>

<reducedcouplings>
  <C to="tt">%(Ctt)s</C>
  <C to="bb">%(Cbb)s</C>
  <C to="tautau">%(Ctautau)s</C>
  <C to="cc">%(Ccc)s</C>
  <C to="WW">%(CWW)s</C>
  <C to="ZZ">%(CZZ)s</C>
  <C to="gammagamma">%(CGaGa)s</C>
  <C to="gg">%(Cgg)s</C>

  <precision>%(precision)s</precision>
</reducedcouplings>

<extraBR>
  <BR type="invisible">%(BRinv)s</BR>
  <BR type="undetected">%(BRund)s</BR>
</extraBR>

</lilithinput>
"""
    myInput = {'mh':mh, 'Ctt':Ctt, 'Cbb': Cbb, 'Ctautau': Ctautau, 'Ccc': Ccc, 'CWW':CWW, 'CZZ':CZZ, 'CGaGa':CGaGa, 'Cgg':Cgg,'precision':precision,
    'BRinv':BRinv, 'BRund':BRund}
        
    return myInputTemplate%myInput
