def redC(mh=125.5, Ctt=1, Ccc=1, Cbb=1, Ctautau=1,
CWW=1, CZZ=1, ImCtt=0, ImCcc=0, ImCbb=0, ImCtautau=0, BRinv=0, BRund=0, precision="BEST-QCD"):
    """generate XML input from reduced couplings"""
    
    myInputTemplate = """<?xml version="1.0"?>

<lilithinput>

<mh>%(mh)s</mh>

<reducedcouplings>
  <C to="tt" part="re">%(Ctt)s</C>
  <C to="tt" part="im">%(ImCtt)s</C>
  <C to="cc" part="re">%(Ccc)s</C>
  <C to="cc" part="im">%(ImCcc)s</C>
  <C to="bb" part="re">%(Cbb)s</C>
  <C to="bb" part="im">%(ImCbb)s</C>
  <C to="tautau" part="re">%(Ctautau)s</C>
  <C to="tautau" part="im">%(ImCtautau)s</C>
  <C to="WW">%(CWW)s</C>
  <C to="ZZ">%(CZZ)s</C>
  <precision>%(precision)s</precision>
</reducedcouplings>

<extraBR>
  <BR type="invisible">%(BRinv)s</BR>
  <BR type="undetected">%(BRund)s</BR>
</extraBR>

</lilithinput>
"""
    myInput = {'mh':mh, 'Ctt':Ctt, 'Ccc':Ccc, 'Cbb':Cbb,
    'Ctautau':Ctautau, 'CWW':CWW, 'CZZ':CZZ, 'ImCtt': ImCtt, 'ImCcc': ImCcc, 'ImCbb': ImCbb, 'ImCtautau': ImCtautau, 'precision':precision,
    'BRinv':BRinv, 'BRund':BRund}
        
    return myInputTemplate%myInput
